//+------------------------------------------------------------------+
//|                                                         BB5M.mq4 |
//|                                                            Pete7 |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Pete7"
#property link      ""
extern string        Part_1="Bollinger Band Settings:";
extern int           BB_Period=10;
extern int           BB_Deviation=2;
extern int           BB_Shift=0;
extern int           BB_Price=0;
extern string        Part_2="Positions Settings:";
extern int           MagicNumber=12344;
extern double        Lots=0.1;
extern int           Slippage=2;
extern int           TakeProfit=25;
extern int           StopLoss=10;
extern string        Part_3="Additional Settings:";
extern int           PipsToEntry=3;
extern bool          ShowComments=true;
double      Upper_band, Lower_band;                      
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   Upper_band=iBands(Symbol(),0,BB_Period,BB_Deviation,BB_Shift,BB_Price,1,0);
   Lower_band=iBands(Symbol(),0,BB_Period,BB_Deviation,BB_Shift,BB_Price,2,0);
   if(Ask<=Lower_band-PipsToEntry*Point)OrderSend(Symbol(),0,Lots,Ask,Slippage,Ask-StopLoss*Point,Ask+TakeProfit*Point,NULL,MagicNumber,,Green);
   if(Bid>=Upper_band+PipsToEntry*Point)OrderSend(Symbol(),1,Lots,Bid,Slippage,Bid+StopLoss*Point,Bid-TakeProfit*Point,NULL,MagicNumber,,Red);
   if(ShowComments==true) Comment("BB_UpperLine = "+Upper_band+"\n"+"BB_LowerLine = "+Lower_band);
//----
   return(0);
  }
//+------------------------------------------------------------------+